Config
Each server exposes public information regarding supported videos and options.
Get instance public configuration
Response
successful operation
Get instance "About" information
Translatable information is returned in the language of the request, using the x-peertube-language header
or the Accept-Language header. If the instance has no translation for this language, the default information is returned.
Parameters
x-peertube-languagestringheaderLocale of the web interface (fr-FR, pt-BR...) used to translate the instance information
Response
successful operation
Get instance runtime configuration
Response
successful operation
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin
Set instance runtime configuration
Changing instance.customizations.javascript or instance.customizations.css requires a password confirmation: set currentPassword at the root of the request body.
Response
successful operation
Arises when:
- the emailer is disabled and the instance is open to registrations
- web videos and hls are disabled with transcoding enabled - you need at least one enabled
- the custom JavaScript or CSS changed and
currentPasswordis missing
invalid currentPassword, or password confirmation unavailable for this user
too many failed password confirmations
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin
Delete instance runtime configuration
Response
successful operation
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin
Update instance avatar
Body
multipart/form-dataobjectavatarfileimage/png, image/jpegavatarfilestring<binary>The file to upload.
Response
successful operation
image file too large
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin
Delete instance avatar
Response
successful operation
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin
Update instance logo
Body
multipart/form-dataobjectlogofileimage/png, image/jpeglogofilestring<binary>The file to upload.
Parameters
logoTypestringfaviconheader-wideheader-squareopengraphrequiredpathResponse
successful operation
image file too large
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin
Delete instance logo
Parameters
logoTypestringfaviconheader-wideheader-squareopengraphrequiredpathResponse
successful operation
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin
